LibreOffice: Shape Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

List of all members
Shape Service Reference

`import"Shape.idl";`

Inheritance diagram for Shape:

## Additional Inherited Members
Exported Interfaces inherited from XShape
interface | XReportControlModel
Exported Interfaces inherited from XReportControlModel
interface | XReportComponent
| allows the creation of sub reports. More...
interface | XReportControlFormat
interface | com::sun::star::container::XContainer
| allows to register listeners to be notified of changes in the container. More...
interface | com::sun::star::container::XIndexContainer
| gives access to the com::sun::star::report::XFormatCondition elements by index. More...
Exported Interfaces inherited from XReportComponent
interface | com::sun::star::util::XCloneable
interface | com::sun::star::container::XChild
| identifies the component as a candidate for being part of a report. More...
interface | com::sun::star::lang::XComponent
| allows life-time control of report components. More...
interface | com::sun::star::drawing::XShape
interface | com::sun::star::beans::XPropertySet
| gives access to the properties. More...
Public Member Functions inherited from XReportControlModel
XFormatCondition | createFormatCondition () raises ( com::sun::star::uno::Exception )
| Creates a format condition. More...
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object. More...
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object More...
com::sun::star::awt::Size | getSize ()
| gets the size of this object. More...
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object. More...
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed. More...
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container. More...
Public Member Functions inherited from XIndexContainer
void | insertByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified index. More...
void | removeByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| removes the element at the specified index. More...
Public Member Functions inherited from XIndexReplace
void | replaceByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified index with the given element. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Attributes inherited from XShape
long | ZOrder
| is used to query or change the ZOrder of this Shape. More...
com::sun::star::drawing::HomogenMatrix3 | Transformation
| this property lets you get and set the transformation matrix for this shape. More...
string | CustomShapeEngine
| This property contains the CustomShapeEngine service name that has to be used for rendering. More...
string | CustomShapeData
| This property can be used to store data that the CustomShapeEngine may use for rendering. More...
sequence<::com::sun::star::beans::PropertyValue > | CustomShapeGeometry
| This property describes the geometry of the CustomShape. More...
boolean | Opaque
| determines if the object is opaque or transparent for text. More...
Public Attributes inherited from XReportControlModel
string | DataField { set raises(com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| Specifies which content should be shown. More...
boolean | PrintWhenGroupChange { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| Specifies that the element gets printed when the group changes. More...
string | ConditionalPrintExpression { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| Describes the print expression of the report control model. More...
Public Attributes inherited from XReportComponent
string | Name { set raises(com::sun::star::beans::PropertyVetoException); }
| the name of the component. More...
long | Height { set raises(com::sun::star::beans::PropertyVetoException); }
| specifies the height of the control. More...
long | PositionX
| specifies the horizontal position of the control. More...
long | PositionY
| specifies the vertical position of the control. More...
long | Width { set raises(com::sun::star::beans::PropertyVetoException); }
| specifies the width of the control. More...
short | ControlBorder { set raises(com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the border style of the control. More...
long | ControlBorderColor { set raises(com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the color of the border, if present More...
boolean | PrintRepeatedValues { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| Specifies that recurring values are printed. More...
sequence< string > | MasterFields { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| is used for subreports and contains the names of columns of the parent report. More...
sequence< string > | DetailFields { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| is used for subreports and contains the names of the columns of the subreport which are related to the master fields of the parent report. More...
com::sun::star::report::XSection | Section
| Specifies the section where the control belongs to. More...
Public Attributes inherited from XReportControlFormat
com::sun::star::util::Color | ControlBackground { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the background color (RGB) of the control. More...
boolean | ControlBackgroundTransparent { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| determines if the back ground color is set to transparent. More...
short | ParaAdjust { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the horizontal alignment of the text. More...
com::sun::star::awt::FontDescriptor | FontDescriptor { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the font attributes of the text in the control. More...
com::sun::star::awt::FontDescriptor | FontDescriptorAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the font attributes of the text in the control. More...
com::sun::star::awt::FontDescriptor | FontDescriptorComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the font attributes of the text in the control. More...
short | ControlTextEmphasis { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the com::sun::star::text::FontEmphasis value of the text in the control. More...
short | CharEmphasis { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the font emphasis value as com::sun::star::text::FontEmphasis. More...
boolean | CharCombineIsOn { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| determines whether text is formatted in two lines. More...
string | CharCombinePrefix { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the prefix (usually parenthesis) before text that is formatted in two lines. More...
string | CharCombineSuffix { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the suffix (usually parenthesis) after text that is formatted in two lines. More...
boolean | CharHidden { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| If this optional property is `TRUE`, then the characters are invisible. More...
boolean | CharShadowed { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies if the characters are formatted and displayed with a shadow effect. More...
boolean | CharContoured { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies if the characters are formatted and displayed with a contour effect. More...
short | CharCaseMap { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| optional property which contains the value of the case-mapping of the text for formatting and displaying. More...
com::sun::star::lang::Locale | CharLocale { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the value of the locale. More...
short | CharEscapement { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the percentage by which to raise/lower superscript/subscript characters. More...
byte | CharEscapementHeight { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This is the additional height used for subscript or superscript characters in units of percent. More...
boolean | CharAutoKerning { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| optional property to determine whether the kerning tables from the current font are used. More...
short | CharKerning { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| optional property which contains the value of the kerning of the characters. More...
boolean | CharFlash { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| If this optional property is `TRUE`, then the characters are flashing. More...
short | CharRelief { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the com::sun::star::text::FontRelief value of the text in the control. More...
string | CharFontName { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute specifies the name of the font style. More...
string | CharFontStyleName { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the name of the font style. More...
short | CharFontFamily { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains font family as specified in com.sun.star.awt.FontFamily . More...
short | CharFontCharSet { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the text encoding of the font as specified in com.sun.star.awt.CharSet. More...
short | CharFontPitch { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the font pitch as specified in com.sun.star.awt.FontPitch. More...
com::sun::star::util::Color | CharColor { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the text color (RGB) of the control. More...
com::sun::star::util::Color | CharUnderlineColor { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the text line color (RGB) of the control. More...
float | CharHeight { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This value contains the height of the characters in point. More...
short | CharUnderline { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the value for the character underline. More...
float | CharWeight { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the value of the font weight. More...
com::sun::star::awt::FontSlant | CharPosture { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the value of the posture of the document. More...
short | CharStrikeout { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| determines the type of the strike out of the character. More...
boolean | CharWordMode { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| If this attribute is `TRUE`, the underline and strike-through properties are not applied to white spaces. More...
short | CharRotation { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| determines the rotation of a character in degree. More...
short | CharScaleWidth { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| determines the percentage value for scaling the width of characters. More...
com::sun::star::style::VerticalAlignment | VerticalAlign { set raises(com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the vertical alignment of the text in the control. More...
string | HyperLinkURL { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the URL of a hyperlink (if set). More...
string | HyperLinkTarget { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the name of the target for a hyperlink (if set). More...
string | HyperLinkName { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the name of the hyperlink (if set). More...
string | VisitedCharStyleName { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the character style name for visited hyperlinks. More...
string | UnvisitedCharStyleName { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the character style name for unvisited hyperlinks. More...
float | CharHeightAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This value contains the height of the characters in point. More...
float | CharWeightAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the value of the font weight. More...
string | CharFontNameAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property specifies the name of the font style. More...
string | CharFontStyleNameAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the name of the font style. More...
short | CharFontFamilyAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains font family as specified in com.sun.star.awt.FontFamily . More...
short | CharFontCharSetAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet. More...
short | CharFontPitchAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch. More...
com::sun::star::awt::FontSlant | CharPostureAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the value of the posture of the document. More...
com::sun::star::lang::Locale | CharLocaleAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the value of the locale. More...
float | CharHeightComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This value contains the height of the characters in point. More...
float | CharWeightComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the value of the font weight. More...
string | CharFontNameComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property specifies the name of the font style. More...
string | CharFontStyleNameComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the name of the font style. More...
short | CharFontFamilyComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains font family as specified in com.sun.star.awt.FontFamily . More...
short | CharFontCharSetComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet. More...
short | CharFontPitchComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch. More...
com::sun::star::awt::FontSlant | CharPostureComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the value of the posture of the document. More...
com::sun::star::lang::Locale | CharLocaleComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the value of the locale. More...

The documentation for this service was generated from the following file:

- com/sun/star/report/Shape.idl